Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class CustomTHsHaServer.Invocation

    java.lang.Object
      org.apache.cassandra.thrift.CustomTHsHaServer.Invocation

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  CustomTHsHaServer

    protected class CustomTHsHaServer.Invocation

extends java.lang.Object
implements java.lang.Runnable

Save the remote socket as a thead local for future use of client state.

Constructor Summary
`CustomTHsHaServer.Invocation(org.apache.thrift.server.TNonblockingServer.FrameBuffer frameBuffer, CustomTHsHaServer.SelectorThread thread)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomTHsHaServer.Invocation

    public CustomTHsHaServer.Invocation(org.apache.thrift.server.TNonblockingServer.FrameBuffer frameBuffer,
                                        CustomTHsHaServer.SelectorThread thread)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation